org.eclipse.emf.compare.rcp.internal.preferences

## Class PreferencesPropertyTester

- java.lang.Object
- - org.eclipse.core.expressions.PropertyTester
  - - org.eclipse.emf.compare.rcp.internal.preferences.PreferencesPropertyTester

All Implemented Interfaces:
  org.eclipse.core.expressions.IPropertyTester

    public class PreferencesPropertyTester
    extends org.eclipse.core.expressions.PropertyTester

A tester for values of properties.

This tester supports one property, named "preferenceValueEquals" (see `PREFERENCE_VALUE_EQUALS`), which takes two arguments:

1. The qualifier of the preference
2. The preference key of the preference

### Constructor Summary

Constructors
Constructor and Description
`PreferencesPropertyTester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test(Object receiver, String property, Object[] args, Object expectedValue)`

### Methods inherited from class org.eclipse.core.expressions.PropertyTester

`handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreferencesPropertyTester

    public PreferencesPropertyTester()

### Method Detail

#### test

    public boolean test(Object receiver,
                        String property,
                        Object[] args,
                        Object expectedValue)